using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface IRoomCardRepository : IRepository<RoomCard>
	{
        IQueryable<RoomCard> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID);

        RoomCard GetByCarNumber(string cardNumber, int hotelID);

        RoomCard Get(RoomCardType roomCardType, int hotelID);

        RoomCard GetByCartType(RoomCardType cardType, string cardNumber, int hotelID);
	}
}
